=== debian/control ===
Source: lscsoft-glue
Section: python
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Homepage: https://www.lsc-group.phys.uwm.edu/daswg/projects/glue.html
Build-Depends: debhelper (>= 9),
               python-all-dev,
               python3-all-dev,
               python-matplotlib,
               python3-matplotlib,
               python-numpy,
               python3-numpy,
               python-setuptools,
               python3-setuptools,
               python-kerberos,
               python3-kerberos,
               python-six,
               python3-six,
               python-ligo-segments,
               python3-ligo-segments,
               dh-python,
               help2man
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8

Package: python-glue
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-cjson,
         python-kerberos,
         python-openssl,
         python-six,
         python-glue-segments,
         python-glue-ligolw-tools
Recommends: python-numpy (>= 1.0),
            python-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python-pyrxp
Replaces: glue
Conflicts: glue
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python modules and programs to
 allow users to run LSC codes on the grid.

Package: python-glue-segments
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-cjson,
         python-openssl,
         python-six,
         python-ligo-segments,
         python-glue-common
Recommends: python-numpy (>= 1.0),
            python-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python-pyrxp
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python modules and programs to
 allow users to run LSC codes on the grid.
 Segments handling part.

Package: python-glue-ligolw-tools
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-glue
Description: Grid LSC User Environment XML Tools
 Glue (Grid LSC User Environment) is a suite of python modules and programs to
 allow users to run LSC codes on the grid.
 Selected XML tools.

Package: python-glue-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-cjson,
         python-openssl,
         python-six
Recommends: python-numpy (>= 1.0),
            python-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python-pyrxp
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python modules and programs to
 allow users to run LSC codes on the grid.
 Common routines.

Package: python3-glue
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-kerberos,
         python3-openssl,
         python3-six,
         python3-glue-segments
Recommends: python3-numpy (>= 1.0),
            python3-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python3-pyrxp
Replaces: glue
Conflicts: glue
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python3 modules and programs to
 allow users to run LSC codes on the grid.

Package: python3-glue-segments
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-six,
         python3-ligo-segments,
         python3-glue-common
Recommends: python3-numpy (>= 1.0),
            python3-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python3-pyrxp
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python3 modules and programs to
 allow users to run LSC codes on the grid.
 Segments handling part.

Package: python3-glue-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-six
Recommends: python3-numpy (>= 1.0),
            python3-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python3-pyrxp
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python3 modules and programs to
 allow users to run LSC codes on the grid.
 Common routines.
